/gateway-create-k8s-auth-configAsk AIpost https://api.akeyless.io/gateway-create-k8s-auth-configBody Paramsaccess-idstringrequiredThe access ID of the Kubernetes auth methodcluster-api-typestringDefaults to native_k8sCluster access type. options: [native_k8s, rancher]disable-issuer-validationstringDisable issuer validation [true/false]jsonbooleanDefaults to falseSet output format to JSONtruefalsek8s-auth-typestringDefaults to tokenK8S auth type [token/certificate]. (relevant for "native_k8s" only)k8s-ca-certstringThe CA Certificate (base64 encoded) to use to call into the kubernetes API serverk8s-client-certificatestringContent of the k8 client certificate (PEM format) in a Base64 format (relevant for "native_k8s" only)k8s-client-keystringContent of the k8 client private key (PEM format) in a Base64 format (relevant for "native_k8s" only)k8s-hoststringrequiredThe URL of the kubernetes API serverk8s-issuerstringDefaults to kubernetes/serviceaccountThe Kubernetes JWT issuer name. K8SIssuer is the claim that specifies who issued the Kubernetes tokennamestringrequiredK8S Auth config namerancher-api-keystringThe api key used to access the TokenReview API to validate other JWTs (relevant for "rancher" only)rancher-cluster-idstringThe cluster id as define in rancher (relevant for "rancher" only)signing-keystringrequiredThe private key (base64 encoded) associated with the public key defined in the Kubernetes authtokenstringAuthentication token (see /auth and /configure)token-expint64Defaults to 300Time in seconds of expiration of the Akeyless Kube Auth Method tokentoken-reviewer-jwtstringA Kubernetes service account JWT used to access the TokenReview API to validate other JWTs (relevant for "native_k8s" only). If not set, the JWT submitted in the authentication process will be used to access the Kubernetes TokenReview API.uid-tokenstringThe universal identity token, Required only for universal_identity authenticationuse-gw-service-accountbooleanUse the GW's service accounttruefalseResponses 201gatewayCreateK8SAuthConfigResponse wraps response body. defaulterrorResponse wraps any error to return it as a JSON object with one "error" field.Updated 7 months ago